GNUNET-NAMESTORE-DBTOOL(1)

NAME
gnunet-namestore-dbtool - manipulate GNU Name System (GNS) namestore database

SYNOPSIS
gnunet-namestore-dbtool [-i | --initialize] [-c FILENAME | --config=FILENAME] [-r | --reset] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-p PLUGIN | --plugin=PLUGIN] [-v | --version]

DESCRIPTION
gnunet-namestore-dbtool can be used to initialize or reset the namestore database.

The options are as follows:

-i | --initialize
    Desired operation is initialization of a database.

-p PLUGINNAME | --plugin=PLUGINNAME
    Use the plugin PLUGINNAME.

-r | --reset
    Desired operation is reset and reinitialization of a database

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v | --version
    Print GNUnet version number.

SEE ALSO
gnunet-gns(1), gnunet-namestore(1)

The full documentation for GNUnet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.